> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agentpowers.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Unpublish Agent

> Unpublish (archive) an agent. Owner-only. Reversible via republish.



## OpenAPI

````yaml /openapi.json post /v1/agents/{slug}/unpublish
openapi: 3.1.0
info:
  title: AgentPowers API
  description: Paid marketplace for Claude Code skills and agents
  version: 0.1.0
servers:
  - url: https://api.agentpowers.ai
    description: Production
security: []
paths:
  /v1/agents/{slug}/unpublish:
    post:
      tags:
        - agents
      summary: Unpublish Agent
      description: Unpublish (archive) an agent. Owner-only. Reversible via republish.
      operationId: unpublish_agent_v1_agents__slug__unpublish_post
      parameters:
        - name: slug
          in: path
          required: true
          schema:
            type: string
            title: Slug
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SkillUnpublishResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    SkillUnpublishResponse:
      properties:
        slug:
          type: string
          title: Slug
        archived_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Archived At
        message:
          type: string
          title: Message
      type: object
      required:
        - slug
        - message
      title: SkillUnpublishResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Provide a Clerk JWT or a long-lived CLI token (prefix `ap_cli_`).  Pass
        as `Authorization: Bearer <token>`.

````